> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Org-wide leave requests queue

> Org-wide leave requests queue



## OpenAPI

````yaml /api-reference/openapi.json get /api/leave/requests
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/leave/requests:
    get:
      tags:
        - Leave
      summary: Org-wide leave requests queue
      description: Org-wide leave requests queue
      operationId: getApiLeaveRequests
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            type: integer
            minimum: 1
            maximum: 9007199254740991
        - in: query
          name: pageSize
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: status
          schema:
            type: string
            enum:
              - PendingManager
              - ManagerApprovedPendingHR
              - Approved
              - Rejected
        - in: query
          name: leaveTypeId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        - in: query
          name: employeeId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeName:
                          type: string
                        employeeCode:
                          type: string
                        leaveTypeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        leaveTypeCode:
                          type: string
                        leaveTypeName:
                          type: string
                        colorTone:
                          type: string
                          enum:
                            - neutral
                            - accent
                            - ok
                            - warn
                            - bad
                            - info
                        fromDate:
                          type: string
                        toDate:
                          type: string
                        duration:
                          type: string
                          enum:
                            - FullDay
                            - FirstHalf
                            - SecondHalf
                        workingDays:
                          type: number
                        reason:
                          anyOf:
                            - type: string
                            - type: 'null'
                        backupEmployeeId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        backupName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        balanceAfter:
                          type: number
                        status:
                          type: string
                          enum:
                            - PendingManager
                            - ManagerApprovedPendingHR
                            - Approved
                            - Rejected
                        requiresHrApproval:
                          type: boolean
                        managerDecisionBy:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        managerDecisionName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        managerDecidedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        hrDecisionBy:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        hrDecisionName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        hrDecidedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        decisionNote:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          type: string
                      required:
                        - id
                        - employeeId
                        - employeeName
                        - employeeCode
                        - leaveTypeId
                        - leaveTypeCode
                        - leaveTypeName
                        - colorTone
                        - fromDate
                        - toDate
                        - duration
                        - workingDays
                        - reason
                        - backupEmployeeId
                        - backupName
                        - balanceAfter
                        - status
                        - requiresHrApproval
                        - managerDecisionBy
                        - managerDecisionName
                        - managerDecidedAt
                        - hrDecisionBy
                        - hrDecisionName
                        - hrDecidedAt
                        - decisionNote
                        - createdAt
                  total:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  page:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  pageSize:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  pending:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  kpis:
                    type: object
                    properties:
                      total:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      pendingManager:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      pendingHr:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      approved:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      rejected:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      approvedThisMonth:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      rejectedThisMonth:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - total
                      - pendingManager
                      - pendingHr
                      - approved
                      - rejected
                      - approvedThisMonth
                      - rejectedThisMonth
                required:
                  - items
                  - total
                  - page
                  - pageSize
                  - pending
                  - kpis
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````